var comp;
AdobeEdge.bootstrapCallback(function(compId) {
comp = AdobeEdge.getComposition(compId).getStage();
/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol;
// los alias más comunes para las clases de Edge
//Edge symbol: 'stage'
   (function(symbolName) {
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
    
         

         sym.$('.center-wrapper').css("overflow","hidden");
         //tipo de actividad
         sym.setVariable("tipoactividad", "textarea");
         //Variables de colores
         sym.setVariable("border", "2px solid #cccccc");
         //sym.setVariable("border", "none");
         sym.setVariable("fondo", "rgba(255,255,255,0.50)");
         sym.setVariable("colorini", "#666666");
         sym.setVariable("colorok", "#666666");
         sym.setVariable("fondook","rgba(255,255,255,0.80)");
         sym.setVariable("colorbad", "#ffffff");
         sym.setVariable("fondobad", "#f3716c");
         sym.setVariable("fontsize", "24px");
         sym.setVariable("fontFamily", "Cabin");
         sym.setVariable("fontStyle", "normal");
         sym.setVariable("textAlign", "left");
         sym.setVariable("fontweight", "bold");
         sym.setVariable("height", "auto");
         sym.setVariable("border-radius", "5px");

         sym.getSymbol("bt_ayuda").stop("normal");
         sym.$("hotspot_ayuda").show();

         //Llammar variables creation Complete
         var tipoactividad = sym.getVariable("tipoactividad");
         var color = sym.getVariable("colorini");
         var border = sym.getVariable("border");
         var tamano = sym.getVariable("fontsize");
         var fontweight = sym.getVariable("fontweight");
         var fondo = sym.getVariable("fondo");
         var borderRadius= sym.getVariable("border-radius");
         var textAlign= sym.getVariable("textAlign");
         transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras 

         // Agregar los input dinámicamente
         for (i=1 ; i<= TotalTextArea; i++){
         sym.$("TextArea_"+i).css("background","rgba(255,255,255,0.0)");
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement(tipoactividad);
         	nombreElemento.id="seleccion_"+i;
         	var anchoTextArea = sym.$("TextArea_"+i).css("width");
         	var altoTextArea = sym.$("TextArea_"+i).css("height");
         	nombreElemento.style.width= anchoTextArea;	 
         	nombreElemento.style.height= altoTextArea;
         	nombreElemento.style.border= border;
         	nombreElemento.style.color= color;
         	nombreElemento.style.background= fondo;
         	nombreElemento.style.fontSize= tamano;
         	nombreElemento.style.fontWeight= fontweight;
         	nombreElemento.style.textAlign= textAlign;
         	nombreElemento.style.webkitBorderRadius=borderRadius;
         	nombreElemento.style.mozBorderRadius=borderRadius;
         	nombreElemento.style.borderRadius=borderRadius;
         	nombreElemento.style.padding= "10px";
			nombreElemento.style.resize= "none";
         	sym.$("TextArea_"+i).append(nombreElemento);
         }

         $("textarea").focus(function() {
            $(this).val('');
         });

         //BOTÓN AYUDA
         sym.$('hotspot_ayuda').click(function(){
         if (sym.$("help").is(":visible")) {
         	sym.$("help").hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         } else {
         	sym.$("help").show();
         	sym.getSymbol("bt_ayuda").stop("down");
         }


         });

         //ocultar ayuda
         sym.$("help").click(function(){
         	$(this).hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         });

      });
      //Edge binding end



   })("stage");
   //Edge symbol end:'stage'

   //=========================================================

   //Edge symbol: 'Precargador'
   (function(symbolName) {   

   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================



   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

})(jQuery, AdobeEdge, "EDGE-1010687340");

});